Subject: bug#35583: Setting a GRUB keyboard-layout breaks GRUB… and Linux‽

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 May 2019 11:39:42 +0200

Hi Tobias,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> However, today I tried to (re-)add it to GRUB, too, and ended up
> writing the following comment:
>
> (bootloader
>  (bootloader-configuration
>   (bootloader grub-efi-bootloader)
>   ;; XXX Strange bug: GRUB can read the LUKS passphrase, but
> afterwards (at
>   ;; the menu screen) no longer responds to key presses.  Even
> stranger: it
>   ;; makes my X230T's backspace key send ‘XF86ScreenSaver’s even on
> Linux.
>   ;; (keyboard-layout keyboard-layout)
>   (target "/boot/efi")
>   (timeout 1))))
>
> This is 100% reproducible.

Even in ‘guix system vm --full-boot’, right?

It could be that the XKB → GRUB conversion fails.  You can see
conversion process in (gnu bootloader grub).  In that case, that would
be a ‘grub-mklayout’ or a ‘ckbcomp’ bug.

I’ve only tested this stuff with standard keyboard layouts with one or
two options at most, so it may be that you’re pushing it to its limits.

I’m surprised what GRUB does has an impact on what Linux does
afterwards, though.

Thanks,
Ludo’.